Skip to main content
`Ctrl`+`K`

# pandas.Series.str.removesuffix

Series.str.removesuffix(suffix)

  Remove a suffix from an object series.

  If the suffix is not present, the original string will be returned.

  Parameters:
    suffix str

      Remove the suffix of the string.

  Returns:
    Series/Index: object

      The Series or Index with given suffix removed.

  See also

  `Series.str.removeprefix`

    Remove a prefix from an object series.

  Examples

      >>> s = pd.Series(["str_foo", "str_bar", "no_prefix"])
      >>> s
      0    str_foo
      1    str_bar
      2    no_prefix
      dtype: object
      >>> s.str.removeprefix("str_")
      0    foo
      1    bar
      2    no_prefix
      dtype: object

      >>> s = pd.Series(["foo_str", "bar_str", "no_suffix"])
      >>> s
      0    foo_str
      1    bar_str
      2    no_suffix
      dtype: object
      >>> s.str.removesuffix("_str")
      0    foo
      1    bar
      2    no_suffix
      dtype: object